Subject: bug#9068: cleanup: use only one of __sgi and IRIX6_5

From: Glenn Morris <[email-masked]>
Date: Tue, 06 Dec 2016 21:28:41 -0500

Dan Nicolaescu wrote:

> Both __sgi and IRIX6_5 macros are used in the code, we only support a
> single SGI/IRIX platform, so they mean the same thing, only one of them
> should be used.

Paul, you removed IRIX support in March in 6bc8689, so the issue from
this report is done.

But there are a few (non-gnulib) uses of __sgi left (in process.c and
unexelf.c). In light of the above, can these be removed too?